Page MenuHomePhabricator

Awstats is broken
Closed, ResolvedPublic

Description

We had a brief downtime of about 5 minutes on Tuesday 2019-04-16 16:30Z because awstats suddenly broke. There were hundreds of awstats processes started by cron, consuming RAM, CPU and IOPS. I killed them all and disabled the cron job locally.

Trying to run the command manually, it seems to use very little CPU/IO and process super super slowly. Possibly something changed in the DNS service it uses to resolve the IP addresses. It also complaints about ipv6 plugin is not present or enabled, but that's likely unrelated.

Both ipv6 and ipv4 seem to work okay (tested with ping4 and ping6 from my laptop).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2019, 7:00 AM

Change 517595 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Update awstats config and re-enable it

https://gerrit.wikimedia.org/r/517595

Nikerabbit triaged this task as Normal priority.Jun 18 2019, 8:23 AM

Change 517595 merged by jenkins-bot:
[translatewiki@master] Update awstats config and re-enable it

https://gerrit.wikimedia.org/r/517595

Nikerabbit closed this task as Resolved.Jun 19 2019, 5:35 AM